org.apache.xalan.lib.sql

## Class ObjectArray

- java.lang.Object
- - org.apache.xalan.lib.sql.ObjectArray

-     public class ObjectArray
      extends java.lang.Object

  Provide a simple Array storage mechinsim where native Arrays will be use as the basic storage mechinism but the Arrays will be stored as blocks. The size of the Array blocks is determine during object construction. This is intended to be a simple storage mechinsim where the storage only can grow. Array elements can not be removed, only added to.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectArray()`
    `ObjectArray(int minArraySize)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `append(java.lang.Object o)`
    `java.lang.Object` | `getAt(int idx)`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setAt(int idx, java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectArray

          public ObjectArray()

    - #### ObjectArray

          public ObjectArray(int minArraySize)

      Parameters:
        `minArraySize` - The size of the Arrays stored in the Vector

  - ### Method Detail

    - #### getAt

          public java.lang.Object getAt(int idx)

      Parameters:
        `idx` - Index of the Object in the Array

    - #### setAt

          public void setAt(int idx,
                            java.lang.Object obj)

      Parameters:
        `idx` - Index of the Object in the Array
        `obj` - , The value to set in the Array

    - #### append

          public int append(java.lang.Object o)

      Parameters:
        `o` - Object to be appended to the Array

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

Copyright © 2023 Apache XML Project. All Rights Reserved.